<?php
require_once('HtmlElements.inc'); 
class x_2e extends kp_HtmlElements { 
var $x_3d = ''; 
var $x_g3 = IMAGE_PATH; 
var $x_27 = '/topic_common.png'; 
var $x_g4 = ''; 
function x_2e($x_3d = '', $x_b7 = '', $x_g4 = '', $x_5) { 
$this->x_3d = $x_3d; 
$x_1 = kerio("webiface::PhpSession"); 
if (0 == $x_5) { 
$this->x_g4 = $x_g4; 
} else { 
$this->x_g4 = 'statsOnly'; 
} 
if ($x_b7 != '') { 
$this->x_27 = $x_b7; 
} else { 
$this->x_27 = $this->x_g3 . $this->x_27; 
} 
} 
function x_2f() { 
$x_2d = '


				<div id="header" class="header">


					<div class="left"></div>


					<div class="center">


						' . $this->x_g5(). $this->x_g6() . $this->x_g7() 
. '</div>


					<div class="right"></div>


				</div>


		'; 
return $x_2d; 
} 
function x_g6() { 
$x_5c = ''; 
switch ($this->x_g4) { 
case 'stats': 
$x_g8 = 'style="display: block;"'; 
$x_g9 = 'style="display: none;"'; 
break; 
default: 
$x_g8 = 'style="display: none;"'; 
$x_g9 = 'style="display: block;"'; 
} 
$x_ga = $this->x_g3 . 'star_logo.gif'; 
$x_gb = 113; 
$x_gc = 20; 
$x_gd = 'Kerio StaR'; 
$x_3k = Array( 'title=""', 
'onclick="window.open(\'http://www.kerio.com\')"', 
'class="companyLogo"', 
'id="x_ge"', 
$x_g8); 
$x_5c = $this->kp_getImage($x_ga, $x_gb, $x_gc, $x_gd, $x_3k); 
$x_ga = $this->x_g3 . 'kerio_logo.gif'; 
$x_gb = 300; 
$x_gc = 20; 
$x_gd = 'Kerio WinRoute Firewall'; 
$x_3k = Array( 'title=""', 
'onclick="window.open(\'http://www.kerio.com\')"', 
'class="companyLogo"', 
'id="x_gf"', 
$x_g9); 
$x_5c .= $this->kp_getImage($x_ga, $x_gb, $x_gc, $x_gd, $x_3k); 
return $x_5c; 
} 
function x_g7() { 
return '<div class="topicTitle">' 
. $this->kp_getImage($this->x_27, 32, 32, '', 'id="x_gg"') 
. '<div class="content" id="x_gh">' 
. $this->x_3d 
. '</div>' 
. '</div>'; 
} 
function x_g5() { 
$x_5c = ''; 
$x_5c .= '<div class="options">'; 
switch ($this->x_g4) { 
case 'myAccount': 
case 'stats': 
$x_5c .= '<div style="float:left; text-align: right;">'; 
$x_5c .= '<span id="x_gi" class="activeArea" title="" onClick="x_gj(\'x_gk\')" style="display: ' . ('myAccount' == $this->x_g4 ? 'block' : 'none') . '">


							' . $this->kp_getImage($this->x_g3 . 'tb_stats.gif', 16, 16) . '<span class="caption"><kerio:text id="header_statistics"/></span>


							</span>'; 
$x_5c .= '<span id="x_gl" class="activeArea" title="" onClick="x_gj(\'x_gm\')" style="display: ' . ('stats' == $this->x_g4 ? 'block' : 'none') . '">


							' . $this->kp_getImage($this->x_g3 . 'tb_settings.gif', 16, 16) . '<span class="caption"><kerio:text id="header_myAccount"/></span>


							</span>'; 
$x_5c .= '</div>'; 
break; 
case 'statsOnly': 
case 'myAccountOnly': 
default: 
$x_5c .= ''; 
break; 
} 
$x_gn = ''; 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_7x->getCsrf($x_gn); 
$x_go = ''; 
$x_1 = kerio("webiface::PhpSession"); 
$x_1->getCsrf($x_go); 
$x_5c .= '<div style="float:left; text-align: right;">' 
. '<span class="activeArea" title="<kerio:text id="lang_logout" />" onClick="x_gp(\'' . $x_go . '\', \'' . $x_gn . '\');">


						' . $this->kp_getImage($this->x_g3 . 'tb_logout.gif', 16, 16) . '<span class="caption"><kerio:text id="lang_logout"/></span>


						</span>


					</div>'; 
$x_5c .= '</div>'; 
return $x_5c; 
} 
} 
?>
